import numpy as np

# Importing the dat-file where the eigenfrequencies are stored

filename= jobNames[i]

filename_dat = filename + '.dat'
datafile = open(filename_dat)
Start = 0
End = 0
NatFreqStart = 0
NatFreqEnd = 0
k = 0
# Finding which line the eigenfrequencies are stored
for line in datafile:
    Start = Start+1
    End = End+1
    if "E I G E N V A L U E    O U T P U T" in line:
        NatFreqStart = Start + 6
datafile.close()
		
EigenFreq = np.genfromtxt(filename_dat,dtype='str',skip_header = (NatFreqStart-1), comments='#', delimiter='\n')

# Finding where the lines do not start with integers, i.e finding the end of the eigenfrequency values
while EigenFreq[k][0].isdigit()and type(EigenFreq[k][0])==str:
    k = k+1
# Storing only the wanted values - eigenfrequencies
EigenFreq = EigenFreq[0:k]

#Creating float values instead of strings
nums = 0
EigenFreqNums = list()
for j in range(0,len(EigenFreq)):
    nums = EigenFreq[j].split() # split the line into a list of strings by whitespace
    nums = map(float, nums) # turn each string into a float
    nums = filter(lambda x: x >= 0, nums) # filter the negative floats
    EigenFreqNums.append(nums)

EigenFrequency = list()
saved_name = 'EigenFrequency_' + filename + '.txt'
# Storing the float values for each mode
for j in range(0,k):
    EigenFrequency.append([EigenFreqNums[j][0],EigenFreqNums[j][3]])    #[Mode number, Eigenfrequency in Hz] 
np.savetxt(saved_name,EigenFrequency)
